curl --request POST \
--url https://api.tensormesh.ai/v1/support/reserved-deployments \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"fullName": "<string>",
"workEmail": "<string>",
"company": "<string>",
"jobTitle": "<string>",
"preferredGpu": "GPU_TYPE_UNSPECIFIED",
"totalGpusNeeded": "<string>",
"deploymentTimeline": "<string>",
"workloadUseCase": "<string>",
"networkingStorage": "<string>",
"otherNotes": "<string>"
}
'{
"requestId": "<string>"
}Submits a reservation request and triggers an email notification.
curl --request POST \
--url https://api.tensormesh.ai/v1/support/reserved-deployments \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"fullName": "<string>",
"workEmail": "<string>",
"company": "<string>",
"jobTitle": "<string>",
"preferredGpu": "GPU_TYPE_UNSPECIFIED",
"totalGpusNeeded": "<string>",
"deploymentTimeline": "<string>",
"workloadUseCase": "<string>",
"networkingStorage": "<string>",
"otherNotes": "<string>"
}
'{
"requestId": "<string>"
}Documentation Index
Fetch the complete documentation index at: https://docs.tensormesh.ai/llms.txt
Use this file to discover all available pages before exploring further.
Bearer authentication using an access token. Format: Bearer <access_token>
SubmitReservedDeploymentRequest captures the reservation form fields.
Full name.
Work email.
Company name.
Job title.
GPUType specifies the type of GPU to use for a model deployment.
This enum defines the supported GPU types for model deployments. It allows clients to specify the exact GPU hardware they need for their models.
enum definitions
GPU_TYPE_UNSPECIFIED, GPU_TYPE_A100, GPU_TYPE_H100, GPU_TYPE_H200, GPU_TYPE_B200 Total GPUs needed (e.g. <8 GPUs).
Deployment timeline (e.g. 1-3 months).
Workload/use case.
Networking/storage requirements.
Additional notes.
A successful response.
SubmitReservedDeploymentResponse is the response after submission.
Request tracking ID (optional).
Was this page helpful?